Bug 812259 - add option to disable 5GHz band to iwlwifi
add option to disable 5GHz band to iwlwifi
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.3
Unspecified Unspecified
urgent Severity high
: rc
: ---
Assigned To: Red Hat Kernel Manager
Red Hat Kernel QE team
: ZStream
Depends On:
Blocks: 816226
  Show dependency treegraph
 
Reported: 2012-04-13 05:03 EDT by Stanislaw Gruszka
Modified: 2012-06-20 04:46 EDT (History)
7 users (show)

See Also:
Fixed In Version: kernel-2.6.32-266.el6
Doc Type: Bug Fix
Doc Text:
Various problems were discovered in the iwlwifi driver happening in the 5 GHz band. Consequently, roaming between access points (AP) on 2.4 GHz and 5 GHz did not work properly. This update adds a new option to the driver that disables the 5 GHz band support.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 04:46:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
0001-iwlwifi-add-option-to-disable-5Ghz-band.patch (2.18 KB, text/plain)
2012-04-17 05:19 EDT, Stanislaw Gruszka
no flags Details

  None (edit)
Description Stanislaw Gruszka 2012-04-13 05:03:32 EDT
Description of problem:
Wireless roaming between 2.4GHz AP and 5Ghz AP cause mac80211 and iwlwifi (driver and firmware) malfunction, there are various subtle and hard to fix bugs (bug ). Until those will be fixed, allow to disable 5Ghz band, hence prevent to associate to 5Ghz AP. This can workaround problems with wireless roaming, when APs are dual-band and roaming will be done within 2.4 GHz band.

modprobe iwlwifi 5ghz_disable=1

After that, 5Ghz operation will be disabled, wireless network scan will not show any 5GHz APs, so we will not able to associate to that APs.
Comment 1 RHEL Product and Program Management 2012-04-13 05:19:32 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.
Comment 2 Stanislaw Gruszka 2012-04-17 05:19:36 EDT
Created attachment 577961 [details]
0001-iwlwifi-add-option-to-disable-5Ghz-band.patch

Proposed patch (for RHEL6.2)
Comment 6 John Walicki 2012-04-18 08:53:06 EDT
To be clear so we can implement this correctly, the actual kernel module is named iwlagn.  

Can you confirm that the /etc/modprobe.d/wireless.conf setting should be
  options iwlagn 5ghz_disable=1
Comment 7 Stanislaw Gruszka 2012-04-18 09:48:49 EDT
Yes, correct RHEL6 driver name is iwlagn (on upstream driver was renamed to iwlwifi).
Comment 10 Aristeu Rozanski 2012-04-23 12:01:10 EDT
Patch(es) available on kernel-2.6.32-266.el6
Comment 15 Tomas Capek 2012-06-14 06:29:43 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Various problems were discovered in the iwlwifi driver happening in the 5 GHz band. Consequently, roaming between access points (AP) on 2.4 GHz and 5 GHz did not work properly. This update adds a new option to the driver that disables the 5 GHz band support.
Comment 17 errata-xmlrpc 2012-06-20 04:46:48 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0862.html

Note You need to log in before you can comment on or make changes to this bug.